[SM-Commit] GIT changes to devel-andrew cauldron by Andrew Stitt (bb9cf7e0d7ff1ce2c77820679bdf063222fef680)

Andrew Stitt scm at sourcemage.org
Mon Jan 5 11:07:13 EST 2009


GIT changes to devel-andrew cauldron by Andrew Stitt <acedit at armory.com>:

 data/rspells.x86                                    |    4 +
 iso/isolinux/isolinux.msg                           |    2 
 iso/usr/share/doc/smgl.install/steps/compile-kernel |   16 +++---
 iso/usr/share/doc/smgl.install/steps/grub           |   21 ++++----
 iso/usr/share/doc/smgl.install/steps/install        |    2 
 iso/usr/share/doc/smgl.install/steps/iso-kernel     |    3 -
 iso/usr/share/doc/smgl.install/steps/lilo           |    2 
 iso/usr/share/smgl.install/smgl-enchant             |    7 ++
 iso/usr/share/smgl.install/smgl-kernel              |   17 ++++++
 iso/usr/share/smgl.install/smgl-spells              |   11 ++--
 scripts/mkrelease.sh                                |    6 --
 scripts/twelve-step-program.sh                      |   50 ++++++++++----------
 12 files changed, 84 insertions(+), 57 deletions(-)

New commits:
commit bb9cf7e0d7ff1ce2c77820679bdf063222fef680
Author: Andrew Stitt <acedit at armory.com>
Commit: Andrew Stitt <acedit at armory.com>

    re-factor common path names into variables

commit 28d2f14f3d24df0ed257683134de10b1b7864d2d
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    scripts/mkrelease.sh: better grimoire version code
    
    The real problem with the grimoire version sed string before was
    actually not with the '-' being in the string, but with the fact that
    the grimoire version info is actually two lines. The code was changed so
    that GRIMOIRE_VER only holds the first line, which is the actual version
    information, and doesn't include the second line which is the checksum.
    The output is now correct.

commit 9b982a13d5799826f0ca53178caaa250ba8ecb57
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    isolinux/isolinux.msg: add "grimoire"
    
    Added the word "grimoire" to make it clear that the version being given
    in the output refers to a grimoire that the ISO was built using.

commit 7ff34b6f37facc440afc7cdb71b6de643fb6207d
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    steps/compile-kernel: missed some versions
    
    Accidentally didn't replace all the hardcoded versions with VERSION.
    Fixed now.

commit 2b7d4a20e618d614c0f9cbc182aec4864a01886c
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    steps/grub: corrected instructions
    
    Corrected the instructions so that grub will successfully install.

commit 7adcf8164a24af71a6108d7ef12080945d98a8b3
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    steps/lilo: add missing period
    
    Added stray punctuation to the end of a sentence in the instructions.

commit 4e11aceab541e0b1f5c9363e1fbdc595425bae63
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    steps/{compile,iso}-kernel: remind bootloader conf
    
    Remind the user to update the bootloader config(s) to point to the new
    kernel image. Also cleaned up the compile-kernel instructions a little
    bit.

commit a391671dd30055f01e7e2e1bcb0d8da6d58151f2
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    smgl.install/smgl-kernel: offer to symlink kernel
    
    Offer the choice of symlinking the installed kernel image to
    /boot/vmlinuz for end-user convenience.

commit 39dc9770271a2c62ed311e5af2597551069fe841
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    data/rspells.x86: gcc needs mpfr and gmp
    
    Without mpfr and gmp, recent gcc will fail to function, leaving a
    non-working SMGL install.

commit 69ec6b487ebb542e5480fb8513fd1a15704ff4ac
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    smgl.install/smgl-spells: fix writing /tmp/spells
    
    The spell was previously only adding spells that were turned on, so if a
    previously selected spell was turned off that information wasn't saved.
    Now the write-to-file implementation is correct.

commit 0f6fc6cbe0ede9550c7bb6d9e4794d95285aa1e7
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    steps/install: opt-spells -> spells
    
    Missed this correction when opt-spells was changed to spells before.

commit 134fb5e847b3b9568434aa02562ac7420de5105f
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    smgl.install/smgl.kernel: inc verbosity
    
    Output each file or directory that is being installed to the user's
    system so that they know what is being copied over and where it is
    going.

commit 7a90df0173991c62b7638024d6f6b6c987b675c3
Author: Justin Boffemmyer <flux at sourcemage.org>
Commit: Justin Boffemmyer <flux at sourcemage.org>

    smgl.install/smgl-enchant: fix sort, inc verbosity
    
    Fixed the sort commands (they were somehow missing the final arguments,
    causing sort to read STDIN instead of the files), and added some output
    to make it more clear exactly what the script was doing for the
    individual stages of the tablet processing.

diff --git a/data/rspells.x86 b/data/rspells.x86
index e2d99d3..9aed03a 100644
--- a/data/rspells.x86
+++ b/data/rspells.x86
@@ -12,12 +12,13 @@ gawk
 gcc
 gettext
 glibc
+gmp
 gnupg
 grep
 gzip
 iana-etc
-init.d
 ifupdown
+init.d
 installwatch
 kbd
 libidn
@@ -25,6 +26,7 @@ libtool
 locale
 make
 module-init-tools
+mpfr
 nano
 ncurses
 net-tools
diff --git a/iso/isolinux/isolinux.msg b/iso/isolinux/isolinux.msg
index 63ff42c..a474b45 100644
--- a/iso/isolinux/isolinux.msg
+++ b/iso/isolinux/isolinux.msg
@@ -1,5 +1,5 @@
 SMGL- at ISO_VERSION@ by the Source Mage GNU/Linux team 0e<www.sourcemage.org>07
-This ISO made using @GRIMOIRE_VERSION at .
+This ISO made using grimoire @GRIMOIRE_VERSION at .
 
 09Welcome07 to 04Source Mage GNU/Linux07
 Copyright (C) 2000-2001 by Kyle Sallee
diff --git a/iso/usr/share/doc/smgl.install/steps/compile-kernel b/iso/usr/share/doc/smgl.install/steps/compile-kernel
index 008660f..d6a0b9c 100644
--- a/iso/usr/share/doc/smgl.install/steps/compile-kernel
+++ b/iso/usr/share/doc/smgl.install/steps/compile-kernel
@@ -1,6 +1,7 @@
 compile-kernel step
 You may now set up a custom kernel for your installation by casting the linux
-spell or compiling and installing manually.
+spell or compiling and installing manually. Remember to update your bootloader
+configuration to use your new kernel if you wish to boot it!
 
 chroot into your system:
  smgl-chroot
@@ -8,14 +9,13 @@ chroot into your system:
 spell install:
  cast -r linux
 
-manual install:
- cd /usr/src
- tar -jxvf linux-2.6.22.tar.bz2 (leave out v to silence tar output)
- ln -sf /usr/src/linux-2.6.22 /usr/src/linux && cd /usr/src/linux
+manual install (change VERSION to what you have):
+ cd /usr/src && tar jxvf linux-VERSION
+ ln -sf /usr/src/linux-VERSION /usr/src/linux && cd /usr/src/linux
  make menuconfig && make && make modules_install
- cp -f arch/i386/boot/bzImage /boot/vmlinuz-2.6.22
- cp -f .config /boot/config-2.6.22
- cp -f System.map /boot/System.map-2.6.22
+ cp -f arch/i386/boot/bzImage /boot/vmlinuz-VERSION
+ cp -f .config /boot/config-VERSION
+ cp -f System.map /boot/System.map-VERSION
 
 Exit the chroot:
 exit
diff --git a/iso/usr/share/doc/smgl.install/steps/grub b/iso/usr/share/doc/smgl.install/steps/grub
index 4719b93..2c32a30 100644
--- a/iso/usr/share/doc/smgl.install/steps/grub
+++ b/iso/usr/share/doc/smgl.install/steps/grub
@@ -1,22 +1,23 @@
 grub step:
-To run grub properly, it needs to be chroot'ed into the new system. This needs
-some directories (/dev, /proc), so we provide a wrapper to set those up for
-you and clean them up again when you're done.
+To run grub properly, it needs to be chroot'ed into the new system.
 
-Run the script to get a shell inside the installed system:
+chroot into the system:
  smgl-chroot
 
-Then run grub so you can update the boot record (TODO: use grub-install here?):
- /sbin/grub
+Copy all the necessary grub files to /boot:
+cp /usr/lib/grub/i386-pc/* /boot/grub
 
-You'll get a grub shell, where you need to enter the following commands,
-without the > in front (adjust for your disk layout):
+Then run grub and enter the following commands, without the > in front (adjust
+for your disk layout):
+ /sbin/grub
 > root (hd0,0)
 > setup (hd0)
 > quit
 
+Update menu.lst for your kernel:
+$EDITOR /boot/menu.list
+
 Exit the chroot:
  exit
 
-Unless you got an error message when you were installing the boot loader,
-you should be done with this step. Type next to go to the next step.
+Type next to go to the next step.
diff --git a/iso/usr/share/doc/smgl.install/steps/install b/iso/usr/share/doc/smgl.install/steps/install
index 35f04fd..bf04b15 100644
--- a/iso/usr/share/doc/smgl.install/steps/install
+++ b/iso/usr/share/doc/smgl.install/steps/install
@@ -12,7 +12,7 @@ Remember to replace "SPELL" with the filename of the spell cache to install. As
 an example, to install lilo:
  tar jxf lilo-22.8-i486-pc-linux-gnu.tar.bz2 -C /mnt/root
 
-enchant method (uses /tmp/opt-spells):
+enchant method (uses /tmp/spells):
  smgl-enchant
 
 Enchant can also take a command-line argument to a cache file with a specified
diff --git a/iso/usr/share/doc/smgl.install/steps/iso-kernel b/iso/usr/share/doc/smgl.install/steps/iso-kernel
index ef6c1a6..97deedc 100644
--- a/iso/usr/share/doc/smgl.install/steps/iso-kernel
+++ b/iso/usr/share/doc/smgl.install/steps/iso-kernel
@@ -2,7 +2,8 @@
 Installing the ISO kernel is easy, and it should work well (it's working on
 your computer right now). To install the ISO kernel, all you need to do is copy
 the kernel and kernel modules over to your new system. You can do this with a
-script we provide, or manually.
+script we provide, or manually. Remember to modify your bootloader
+configuration to use the kernel you install if you wish to boot it!
 
 using smgl-kernel:
  smgl-kernel
diff --git a/iso/usr/share/doc/smgl.install/steps/lilo b/iso/usr/share/doc/smgl.install/steps/lilo
index 730962e..da8f45c 100644
--- a/iso/usr/share/doc/smgl.install/steps/lilo
+++ b/iso/usr/share/doc/smgl.install/steps/lilo
@@ -1,7 +1,7 @@
 lilo step:
 Edit /mnt/root/etc/lilo.conf to your setup (especially, you'll want to change
 the boot= and root= entries to point to your partitions, and you'll need to
-set the kernel version correctly)
+set the kernel version correctly).
 
 To run lilo properly, it needs to be chroot'ed into the new system. This needs
 some directories (/dev, /proc), so we provide a wrapper to set those up for
diff --git a/iso/usr/share/smgl.install/smgl-enchant b/iso/usr/share/smgl.install/smgl-enchant
index f728aa5..57384bd 100755
--- a/iso/usr/share/smgl.install/smgl-enchant
+++ b/iso/usr/share/smgl.install/smgl-enchant
@@ -123,10 +123,13 @@ find $tablet -maxdepth 1 -type d | sed 's#^.*/##' > $TABLETS
 for spell in $(</tmp/smgl.install/enchant)
 do
   spell=${spell##*/}
+  echo "Processing $spell tablet..."
   generate_state "$spell"
 done
-sort -u -o "$depends"
-sort -u -o "$packages"
+echo "Regenerating $depends"
+sort -u -o "$depends" "$depends"
+echo "Regenerating $packages"
+sort -u -o "$packages" "$packages"
 
 
 
diff --git a/iso/usr/share/smgl.install/smgl-kernel b/iso/usr/share/smgl.install/smgl-kernel
index 0ae360c..e71b0b2 100755
--- a/iso/usr/share/smgl.install/smgl-kernel
+++ b/iso/usr/share/smgl.install/smgl-kernel
@@ -26,16 +26,33 @@ shift $(($OPTIND - 1))
 TARGET="${TARGET:-/mnt/root}"
 
 # Copy the kernel config
+echo "Installing kernel config to $TARGET/boot/config-$(uname -r)"
 cp -f /boot/config-$(uname -r) "$TARGET"/boot/config-$(uname -r)
 
 # Copy the kernel image
+echo "Installing kernel to $TARGET/boot/vmlinuz-$(uname -r)"
 cp -f /boot/linux "$TARGET"/boot/vmlinuz-$(uname -r)
+while true
+do
+  echo -n "Create /boot/vmlinuz symlink? [yn] "
+  read -n1 input
+  echo ""
+  case $input in
+    "y" ) ln -sf "$TARGET"/boot/vmlinuz-$(uname -r) "$TARGET"/boot/vmlinuz
+          break
+          ;;
+    "n" ) break
+          ;;
+  esac
+done
 
 # Copy all kernel modules
 [[ -d "$TARGET"/lib/modules ]] || mkdir -p "$TARGET"/lib/modules
+echo "Installing kernel modules to $TARGET/lib/modules/$(uname -r)"
 cp -fr /lib/modules/$(uname -r) "$TARGET"/lib/modules/
 
 [[ ! -d "$TARGET"/etc/modprobe.d ]] && mkdir -p "$TARGET"/etc/modrobe.d
+echo "Installing modprobe blacklist to $TARGET/etc/modprobe.d/blacklist"
 cp -f /etc/modprobe.d/blacklist "$TARGET"/etc/modprobe.d/blacklist
 
 
diff --git a/iso/usr/share/smgl.install/smgl-spells b/iso/usr/share/smgl.install/smgl-spells
index c11017a..a9b1b18 100755
--- a/iso/usr/share/smgl.install/smgl-spells
+++ b/iso/usr/share/smgl.install/smgl-spells
@@ -96,7 +96,6 @@ function prompt() {
     # if 'n', we want none
     if [[ $choice == "n" ]]
     then
-      echo "none" >&2
       for ((i=0; i < $NUM_CACHES; i++))
       do
         SELECTED[i]=
@@ -139,16 +138,18 @@ function main {
   done
 
   # for each selected spell, output it to the spell listing file
+  rm /tmp/spells
   for (( i=0; i < $NUM_CACHES; i++ ))
   do
-    if [[ ${SELECTED[i]} = "*" ]]
+    if [[ ${SELECTED[i]} != "*" ]]
     then
-      echo ${CACHES[i]} >> /tmp/spells
+      CACHES[i]=
     fi
+    echo ${CACHES[i]} >> /tmp/spells
   done
 
   # make sure we don't have duplicates
-  [[ -e /tmp/spells ]] && sort -u -o /tmp/spells /tmp/spells
+  sort -u -o /tmp/spells /tmp/spells
 }
 
 function message() {
@@ -165,13 +166,13 @@ function message() {
     fit on one screen you will be able to scroll. When you are satisfied with
     your selections, enter 0 (zero) and the list of spells to cast will be
     installed.
+
 Message
 }
 
 message
 
 main
-#clear
 
 
 
diff --git a/scripts/mkrelease.sh b/scripts/mkrelease.sh
index 1671c29..7f38c66 100755
--- a/scripts/mkrelease.sh
+++ b/scripts/mkrelease.sh
@@ -64,7 +64,7 @@ fi
 [[ $# -lt 2 ]] && usage
 
 # Get the grimoire version used to generate all the spells in the ISO.
-GRIMOIRE_VER=$(< "$TARGET"/etc/grimoire_version)
+GRIMOIRE_VER=$(head -n1 "$TARGET"/etc/grimoire_version)
 
 # Replace all ISO_VERSION placeholders with the ISO version passed on the
 # commandline.
@@ -74,9 +74,7 @@ do
 done
 
 # Replace the GRIMOIRE_VERSION placeholder (currently only in isolinux.msg).
-half1=$(echo $GRIMOIRE_VER | cut -d- -f1)
-half2=$(echo $GRIMOIRE_VER | cut -d- -f2)
-sed -i "s/@GRIMOIRE_VERSION@/${half1}-${half2}/" "$TARGET"/isolinux/isolinux.msg
+sed -i "s/@GRIMOIRE_VERSION@/$GRIMOIRE_VER/" "$TARGET"/isolinux/isolinux.msg
 
 # Generate the release ISO. Currently we force KEEP and COMPRESSION.
 if [[ -n $ISOCHOWN ]]
diff --git a/scripts/twelve-step-program.sh b/scripts/twelve-step-program.sh
index 7ab9ac1..dafd6cc 100755
--- a/scripts/twelve-step-program.sh
+++ b/scripts/twelve-step-program.sh
@@ -5,6 +5,10 @@
 #
 
 ROOT="/root"
+ROOTBUILD=$ROOT/build
+CAULDRON_SRC=$ROOT/cauldron
+SYSBUILD=/tmp/cauldron/sys
+ISOBUILD=/tmp/cauldron/iso
 
   # step 1 get basesystem
   echo step 1
@@ -12,15 +16,15 @@ ROOT="/root"
   #wget http://10.0.0.199/smgl-stable-0.27-basesystem-x86.tar.bz2 &&
   echo unpacking build environment
   tar xf smgl-stable-0.27-basesystem-x86.tar.bz2 &&
-  mv smgl-stable-0.27-basesystem-x86 "$ROOT"/build &&
+  mv smgl-stable-0.27-basesystem-x86 ""$ROOTBUILD" &&
   ls -l "$ROOT"
-  test -d "$ROOT"/build || 
+  test -d "$ROOTBUILD" || 
   echo 'step 1 failed' >> /var/log/sorcery/activity
 
   # step 1.5 (add host sorcery url/compiler configuration)
   echo "step 1.5"
-  cp /etc/sorcery/local/compile_config "$ROOT"/build/etc/sorcery/local/compile_config
-  echo LEAPFORWARD_URL=http://10.0.0.11/smgl/spool/ > "$ROOT"/build/etc/sorcery/local/url
+  cp /etc/sorcery/local/compile_config "$ROOTBUILD"/etc/sorcery/local/compile_config
+  echo LEAPFORWARD_URL=http://10.0.0.11/smgl/spool/ > "$ROOTBUILD"/etc/sorcery/local/url
 
   echo step 2 build kernel
   # may be handled by step 3 later on
@@ -28,64 +32,64 @@ ROOT="/root"
   wget http://10.0.0.11/smgl/spool/linux-2.6.24.tar.bz2 &&
   tar xf linux-2.6.24.tar.bz2 &&
   ln -s linux-2.6.24 linux &&
-  cp "$ROOT"/cauldron/data/config-2.6 /usr/src/linux/.config &&
+  cp "$CAULDRON_SRC"/data/config-2.6 /usr/src/linux/.config &&
   pushd linux &&
     yes ""|make oldconfig; make -j 4 &&
     make -j 4 && make modules -j 4 && make modules_install &&
   popd &&
   ls /lib/modules &&
-  cp -fav /lib/modules/2.6.24-SMGL-iso "$ROOT"/build/lib/modules &&
-  cp -fav /usr/src/linux-2.6.24 "$ROOT"/build/usr/src ||
+  cp -fav /lib/modules/2.6.24-SMGL-iso ""$ROOTBUILD"/lib/modules &&
+  cp -fav /usr/src/linux-2.6.24 ""$ROOTBUILD"/usr/src ||
   echo 'step 2 failed' >> /var/log/sorcery/activity
 
   echo step 3 build spells
-  bash "$ROOT"/cauldron/scripts/spellcaster.sh "$ROOT"/build x86 ||
+  bash "$CAULDRON_SRC"/scripts/spellcaster.sh ""$ROOTBUILD" x86 ||
   echo 'step 3 failed' >> /var/log/sorcery/activity
 
   echo step 3.5 copy kernel sources to iso and sys tree
   # may be handled by step 3 later on
-  cp -fav /lib/modules/2.6.24-SMGL-iso /tmp/cauldron/iso/lib/modules &&
-  cp -fav /usr/src/linux-2.6.24 /tmp/cauldron/iso/usr/src ||
+  cp -fav /lib/modules/2.6.24-SMGL-iso "$ISOBUILD"/lib/modules &&
+  cp -fav /usr/src/linux-2.6.24 "$ISOBUILD"/usr/src ||
   echo 'step 3.5 failed' >> /var/log/sorcery/activity
 
   echo step 4 sanity fixes
   # TODO check for ppp/resolv.conf borkage
-  if test -f "$ROOT"/build/etc/udev/rules.d/70-persistent-net.rules; then
+  if test -f ""$ROOTBUILD"/etc/udev/rules.d/70-persistent-net.rules; then
     echo "twelve step program failure (udev rules)" >>  /var/log/sorcery/activity &&
-    rm "$ROOT"/build/etc/udev/rules.d/70-persistent-net.rules
+    rm ""$ROOTBUILD"/etc/udev/rules.d/70-persistent-net.rules
   fi ||
   echo 'step 4 failed' >> /var/log/sorcery/activity
 
   echo step 5 adjust system tree
-  yes ""|bash "$ROOT"/cauldron/scripts/add-sauce.sh -s /tmp/cauldron/sys &&
+  yes ""|bash "$CAULDRON_SRC"/scripts/add-sauce.sh -s "$SYSBUILD" &&
   # TODO: cleanse --sweep &&
-  rm /tmp/cauldron/sys/var/spool/sorcery/* &&
-  rm /tmp/cauldron/sys/var/cache/sorcery/* &&
-  rm /tmp/cauldron/sys/usr/src/* &&
+  rm "$SYSBUILD"/var/spool/sorcery/* &&
+  rm "$SYSBUILD"/var/cache/sorcery/* &&
+  rm "$SYSBUILD"/usr/src/* &&
   # TODO symlink with /var/spool/sorcery &&
-  cp /usr/src/linux-2.6.24.tar.bz2 /tmp/cauldron/sys/usr/src ||
+  cp /usr/src/linux-2.6.24.tar.bz2 "$SYSBUILD"/usr/src ||
   echo 'step 5 failed' >> /var/log/sorcery/activity
 
   echo step 6 prune iso tree
-  bash "$ROOT"/cauldron/scripts/cleaniso.sh -a /tmp/cauldron/iso ||
+  bash "$CAULDRON_SRC"/scripts/cleaniso.sh -a "$ISOBUILD" ||
   echo 'step 6 failed' >> /var/log/sorcery/activity
 
   echo step 7 adjust iso tree
-  yes ""|bash "$ROOT"/cauldron/scripts/add-sauce.sh -i /tmp/cauldron/iso ||
+  yes ""|bash "$CAULDRON_SRC"/scripts/add-sauce.sh -i "$ISOBUILD" ||
   echo 'step 7 failed' >> /var/log/sorcery/activity
 
   echo step 8 create system.tar.bz2
-  bash "$ROOT"/cauldron/scripts/mksystem.sh /tmp/cauldron/sys /tmp/cauldron/iso/system.tar.bz2 ||
+  bash "$CAULDRON_SRC"/scripts/mksystem.sh "$SYSBUILD" "$ISOBUILD"/system.tar.bz2 ||
   echo 'step 8 failed' >> /var/log/sorcery/activity
 
   echo step 9 make initrd
-  bash "$ROOT"/cauldron/scripts/mkinitrd.sh /tmp/cauldron/iso 2.6.24-SMGL-iso &&
-  cp initrd.gz "$ROOT"/cauldron/iso/boot/initrd.gz ||
+  bash "$CAULDRON_SRC"/scripts/mkinitrd.sh "$ISOBUILD" 2.6.24-SMGL-iso &&
+  cp initrd.gz "$CAULDRON_SRC"/iso/boot/initrd.gz ||
   echo 'step 9 failed' >> /var/log/sorcery/activity
 
   echo step 10 make iso
   cast -c cdrtools &&
-  bash "$ROOT"/cauldron/scripts/mkrelease.sh /tmp/cauldron/iso omfga-test0 ||
+  bash "$CAULDRON_SRC"/scripts/mkrelease.sh "$ISOBUILD" omfga-test0 ||
   echo 'step 10 failed' >> /var/log/sorcery/activity
 
   # step 11



More information about the SM-Commit mailing list